local name, addon = ...
local modName = "autogroup"
local message = {
  ["enUS"] = "Autoaccept invites",
  ["deDE"] = "Gruppeneinladungen annehmen"
}
local f
local accepted = false
addon['mhmods'] = addon['mhmods'] or {}

local function myGuild()
	for i=1,GetNumGuildMembers() do
		if(unitname == GetGuildRosterInfo(i)) then
			return true
		end
	end
	return false
end

local function myGuild(unitname)
	for i=1,GetNumGuildMembers() do
		if(unitname == GetGuildRosterInfo(i)) then
			return true
		end
	end
	return false
end

local function myFriend(unitname)
	for i = 1, GetNumFriends() do
		if(unitname == GetFriendInfo(i)) then
			return true
		end
	end
	return false
end

local function event(self, event)
	if(accepted and event=="PARTY_MEMBERS_CHANGED") then
		StaticPopup_Hide("PARTY_INVITE")
		self:UnregisterEvent("PARTY_MEMBERS_CHANGED")
		accepted = false
	end
end
local getPref = addon['MH_GetPref']
local options

addon['mhmods'][#addon['mhmods'] + 1] = {
	['name'] = modName,
	['message'] = message[GetLocale()] or message["enUS"],
	['init'] = function()
		f = CreateFrame("Frame")
		f:SetScript("OnEvent", event)
		options = addon['MH_GetOptions']()
		local grp = addon['AddConfigMenu'](addon,{['name'] = modName, ['order'] = 20},options)
		addon['AddConfigEntry'](addon,"zz_MiscHelper","toggle","fugonly","Friends&Guild only",nil,1,nil,nil,nil,nil,grp)
	end,
	['events'] = { "PARTY_INVITE_REQUEST" },
	['onevent'] = function (event, arg1)
--		print(arg1, getPref('fugonly'),myFriend(arg1),myGuild(arg1))
		if((getPref('fugonly') and (myFriend(arg1) or myGuild(arg1))) or not getPref('fugonly')) then
			f:RegisterEvent("PARTY_MEMBERS_CHANGED")
			AcceptGroup()
			accepted = true
		else
			DeclineGroup()
			StaticPopup_Hide("PARTY_INVITE")
		end
	end,
}